/*
 * Class reference UTF_CONVERTER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_154 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_154 [] = {0xFF01,1551,153,0xFFFF};
static const EIF_TYPE_INDEX egt_2_154 [] = {0xFF01,153,0xFFFF};
static const EIF_TYPE_INDEX egt_3_154 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_154 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_154 [] = {0xFF01,153,0xFFFF};
static const EIF_TYPE_INDEX egt_6_154 [] = {0xFF01,153,0xFFFF};
static const EIF_TYPE_INDEX egt_7_154 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_154 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_154 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_154 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_154 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_154 [] = {0xFF01,153,0xFFFF};
static const EIF_TYPE_INDEX egt_13_154 [] = {0xFF01,153,0xFFFF};
static const EIF_TYPE_INDEX egt_14_154 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_15_154 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_16_154 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_17_154 [] = {0xFF01,1638,875,0xFFFF};
static const EIF_TYPE_INDEX egt_18_154 [] = {0xFF01,1638,875,0xFFFF};
static const EIF_TYPE_INDEX egt_19_154 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_20_154 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_21_154 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_22_154 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_23_154 [] = {0xFF01,1965,854,0xFFFF};
static const EIF_TYPE_INDEX egt_24_154 [] = {0xFF01,1965,854,0xFFFF};
static const EIF_TYPE_INDEX egt_25_154 [] = {0xFF01,1965,854,0xFFFF};
static const EIF_TYPE_INDEX egt_26_154 [] = {0xFF01,1965,854,0xFFFF};
static const EIF_TYPE_INDEX egt_27_154 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_28_154 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_29_154 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_30_154 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_31_154 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_32_154 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_33_154 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_34_154 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_35_154 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_36_154 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_37_154 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_38_154 [] = {0xFF01,1965,854,0xFFFF};
static const EIF_TYPE_INDEX egt_39_154 [] = {0xFF01,1965,854,0xFFFF};
static const EIF_TYPE_INDEX egt_40_154 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_41_154 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_42_154 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_43_154 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_44_154 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_45_154 [] = {0xFF01,454,0xFFFF};


static const struct desc_info desc_154[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_154), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_154), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_154), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_154), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_154), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_154), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_154), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_154), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_154), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_154), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_154), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_154), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_154), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_154), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 3951, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3952, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3953, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3954, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3955, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3956, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3957, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3958, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3959, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_154), 3960, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3961, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_154), 3962, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3963, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3964, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_154), 3965, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3966, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3967, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3968, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_154), 3969, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_154), 3970, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_154), 3971, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3972, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_154), 3973, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3974, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_154), 3975, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3976, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_154), 3977, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3978, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_154), 3979, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_154), 3980, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_154), 3981, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_154), 3982, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3983, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3984, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3985, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3986, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_154), 3987, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3988, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3989, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_154), 3990, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3991, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_154), 3992, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3993, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_154), 3994, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3995, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_154), 3996, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3997, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_154), 3998, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3999, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_154), 4000, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4001, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_154), 4002, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4003, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_154), 4004, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4005, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_154), 4006, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_154), 4008, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4009, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_154), 4010, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_154), 4011, 0xFFFFFFFF},
	{EIF_GENERIC(egt_40_154), 4012, 0xFFFFFFFF},
	{EIF_GENERIC(egt_41_154), 4013, 0xFFFFFFFF},
	{EIF_GENERIC(egt_42_154), 4014, 0xFFFFFFFF},
	{EIF_GENERIC(egt_43_154), 4015, 0xFFFFFFFF},
	{EIF_GENERIC(egt_44_154), 4016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4017, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4018, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 4019, 0xFFFFFFFF},
	{EIF_GENERIC(egt_45_154), 3950, 0xFFFFFFFF},
};
void Init154(void)
{
	IDSC(desc_154, 0, 153);
	IDSC(desc_154 + 1, 1, 153);
	IDSC(desc_154 + 32, 163, 153);
}


#ifdef __cplusplus
}
#endif
